MobileInsight Apptainer
=======================

Single launch binary for MobileInsight in a Ubuntu 22.04 portable container.

Dependencies
------------

The host side only needs `apptainer` or `singularity` to function. A gui is
needed to launch the log viewer.

Usage
-----

```
# Start the log viewer
$ ./mobileinsight.sif mi-gui

# Start a python3 shell with MobileInsight available
$ ./mobileinsight.sif python3 "$PYTHON_ARGS"

# Start a bash shell inside the container
$ ./mobileinsight.sif bash
```

Examples are stored in /opt/mobileinsight-examples.

Building
--------

To build the apptainer, the following dependencies are needed on the host
machine:

1. Apptainer or Singularity
2. Docker

Run `make mobileinsight.sif` to build the apptainer image.
